function setup()
	actor.setIcon("icondanger.png")
	actor.displayName = "< MINEFIELD DETECTED >"
	actor.addTerrain("terrain_mines")
	actor.addTerrain("terrain_mines")
	actor.addTerrain("terrain_mines")
	--actor.rot = math.random(0,359)
	actor.jitterPlacement = 1
	actor.durable = 0
	actor.solid = 1
end